is there any new version of efs after 1.3

New Member
Joined
Nov 10, 2010
Messages
1
Best answers
0
is there any new version of efs after 1.3 or any new updates to download
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Mar 13, 2005
Messages
3,877
Best answers
0
ESF 1.3 is the last of its kind.

Open Beta is the latest release.
 
Freelance Mappzor
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Nov 21, 2003
Messages
17,065
Best answers
0
As of now there will only be 1 more release named ESF:Final and thats it.
 
Busy Busy Busy
★ Black Lounger ★
💻 Oldtimer
Joined
Nov 24, 2001
Messages
1,439
Best answers
0
At least one last big release.
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Mar 13, 2005
Messages
3,877
Best answers
0
I gotta say I would love to see ESF make it to 2.0 but I don't think we would ever see it happen.
 
NOT IN THE MANGA™
★ Black Lounger ★
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Jan 5, 2008
Messages
3,276
Best answers
0
I'd like a simplified ESF: Final release with all the cool gameplay and without all that visual crap.
 
New Member
✔️ HL Verified
Joined
Jan 22, 2010
Messages
36
Best answers
0
I'd like a simplified ESF: Final release with all the cool gameplay and without all that visual crap.
Cause your computer is made of wood?

OT:I think there should be some builds/minor updates/patches to fix bugs.
 
NOT IN THE MANGA™
★ Black Lounger ★
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Jan 5, 2008
Messages
3,276
Best answers
0
Pwns Mastasurf at TF2
Retired Forum Staff
✔️ HL Verified
💻 Oldtimer
Joined
Dec 7, 2001
Messages
5,115
Best answers
0
We cannot keep developing things for ppl who have outdated hardware by several generations. Sorry, but that's the simple truth. People with hardware current to like 2003 simply are no longer a target audience. Yes there's a lot of them, but they can hardly be considered serious gamers. It sucks, I know HLEV. For years I had an outdated computer with a 933 mhtz Pentium 3, and a 64 MB PCI Voodoo 5 5500 in it. I couldn't even run HL2 and I had the comp until 2007. I had to buy a new comp eventually. People are going to need to buy new stuff, and not just expect everyone to develop low end graphics apps so they can run them. It's not a realistic expectation.
 
Resting in H.E.L.L
Banned
💻 Oldtimer
Joined
Jun 9, 2009
Messages
1,328
Best answers
0
And, this is a mod, even how graphically nice it is, I expect computers from 2005 should be able to run it pretty nice..though I haven't actually tested the build, I can't imagine they've ramped up the requirements to 2009 / 2010 levels.
 
Freelance Mappzor
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Nov 21, 2003
Messages
17,065
Best answers
0
I think the requirements should be round 2007 level to be honest ^^
 
New Member
Joined
Jun 15, 2010
Messages
51
Best answers
0
Basically - with an onboard card, a crappy CPU, and 256mb's of RAM you're not really going to make it.

i5 PC's with 4gigs of ram and a gtx 460 cost about 600 euro's in my area right now.
 

Users who are viewing this thread

Top